﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 제품
    /// </summary>
    public class Product
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 카테고리 ID - CategoryID

        /// <summary>
        /// 카테고리 ID
        /// </summary>
        public int CategoryID { get; set; }

        #endregion
        #region 제품명 - ProductName

        /// <summary>
        /// 제품명
        /// </summary>
        public string ProductName { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Product> GetList()
        {
            List<Product> list = new List<Product>
            {
                new Product(){ ProductName="Chang"           , CategoryID = 0 },
                new Product(){ ProductName="Ipoh Coffee"     , CategoryID = 0 },
                new Product(){ ProductName="Ravioli Angelo"  , CategoryID = 1 },
                new Product(){ ProductName="Filo Mix"        , CategoryID = 1 },
                new Product(){ ProductName="Tunnbrod"        , CategoryID = 1 },
                new Product(){ ProductName="Konbu"           , CategoryID = 2 },
                new Product(){ ProductName="Boston Crab Meat", CategoryID = 2 }
            };

            return list;
        }

        #endregion
    }
}